import { TextFieldProps } from './TextField';
declare const _default: import("@storybook/csf").ComponentAnnotations<import("@storybook/react").ReactFramework, import("@storybook/react").Args>;
export default _default;
export declare const DefaultTextField: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, TextFieldProps>;
export declare const NumberField: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, TextFieldProps>;
export declare const WithHelpText: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, TextFieldProps>;
export declare const WithValidationError: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, TextFieldProps>;
export declare const Disabled: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, TextFieldProps>;
export declare const Suffix: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, TextFieldProps>;
